Page MenuHomePhabricator

Adjust bubble notification type colors to match utility colors in the Wikimedia Design Style guide
Closed, ResolvedPublic

Description

Please see the style guide here: https://design.wikimedia.org/style-guide/visual-style_colors.html#utility-colors

Currently notifications with type "error" look like this;

But could look like this after following utility colors from the the style guide.

Which also matches with the OOUI MessageWidget with type "error".

The same applies to notifications with type "warn" compared to the OOUI MessageWidget with type "warning".

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 9 2020, 9:07 AM

@kevinbazira: Hi, where and how to see such a notification type bubble somewhere after doing something (steps to reproduce)?
Or where to find this in the MediaWiki core codebase (source file)?

@Aklapper: Hi, in order to see a bubble notification appear in MediaWiki please navigate to Special:Preferences, make a change, and then save. It will appear in the right upper section of your page.

You can also see this notification's source code in the MediaWiki core codebase here: https://github.com/wikimedia/mediawiki/tree/master/resources/src/mediawiki.notification

Also for more context, its documentation can be seen here: https://www.mediawiki.org/wiki/Bubble_notifications#API

Change 587544 had a related patch set uploaded (by Aklapper; owner: Kevin Bazira):
[mediawiki/core@master] Adjust notification type colors to match utility colors in the Wikimedia Design Style guide

https://gerrit.wikimedia.org/r/587544

Thanks for the clarification. I fixed the commit message. :)

Change 587544 merged by jenkins-bot:
[mediawiki/core@master] Adjust notification type colors to match utility colors in the Wikimedia Design Style guide

https://gerrit.wikimedia.org/r/587544

kevinbazira updated the task description. (Show Details)Apr 21 2020, 10:37 AM
Volker_E closed this task as Resolved.Apr 24 2020, 2:22 AM
Volker_E triaged this task as Medium priority.
Volker_E awarded a token.
Volker_E removed a project: Patch-For-Review.